package com.ruoyi.sim.domain.vo;

import com.ruoyi.sim.domain.Task;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

public class TaskVo extends Task {

    /**
     * 选择情况故障数据
     */
    private List<FaultTreeVo> selectedData;

    private int countGZXX;

    private int countGZBW;

    public TaskVo() {
    }

    public List<FaultTreeVo> getSelectedData() {
        return selectedData;
    }

    public void setSelectedData(List<FaultTreeVo> selectedData) {
        this.selectedData = selectedData;
    }

    public int getCountGZXX() {
        return countGZXX;
    }

    public void setCountGZXX(int countGZXX) {
        this.countGZXX = countGZXX;
    }

    public int getCountGZBW() {
        return countGZBW;
    }

    public void setCountGZBW(int countGZBW) {
        this.countGZBW = countGZBW;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this)
                .append("selectedData", selectedData)
                .append("countGZXX", countGZXX)
                .append("countGZBW", countGZBW)
                .toString();
    }
}
